package ocean.gateway.service.routes;

import java.util.function.Function;

import org.springframework.boot.SpringBootConfiguration;
import org.springframework.cloud.gateway.route.RouteLocator;
import org.springframework.cloud.gateway.route.Route.AsyncBuilder;
import org.springframework.cloud.gateway.route.builder.PredicateSpec;
import org.springframework.cloud.gateway.route.builder.RouteLocatorBuilder;
import org.springframework.context.annotation.Bean;

import lombok.extern.slf4j.Slf4j;


@SpringBootConfiguration
@Slf4j
public class Business {

	protected static AsyncBuilder helloRoute(PredicateSpec r) {
		AsyncBuilder builder = r.path("/hello").uri("http://localhost:3030/hello");
		return builder;
	}

	@Bean
	public RouteLocator customRouteLocator(RouteLocatorBuilder builder) {
		log.trace("path_route");
		return builder.routes().route( Business::helloRoute  ).build();
	}


}

